%define tarname xorg-docs

Summary: X.Org X11 documentation
Name: xorg-x11-docs
Version: 1.2
Release: 4%{?dist}
License: MIT/X11
Group: Documentation
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

Source0: ftp://ftp.x.org/pub/individual/doc/%{tarname}-%{version}.tar.bz2

BuildRequires: pkgconfig
BuildRequires: xorg-sgml-doctools >= 1.1-1

Obsoletes: XFree86-doc, xorg-x11-doc

Provides: XFree86-doc, xorg-x11-doc

%description
Protocol and other technical documentation for the X.Org X11 X Window System
implementation.

%prep
%setup -q -n %{tarname}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/X11/doc/hardcopy/XPRINT
rm -f $RPM_BUILD_ROOT%{_datadir}/X11/doc/hardcopy/Xserver/Xprt.PS.gz
rm -f $RPM_BUILD_ROOT%{_mandir}/man7/Xprint.7*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /usr/share/X11/doc
%{_datadir}/X11/doc/MAINTAINERS
%dir %{_datadir}/X11/doc/hardcopy
%dir %{_datadir}/X11/doc/hardcopy/BDF
%{_datadir}/X11/doc/hardcopy/BDF/bdf.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/CTEXT
%{_datadir}/X11/doc/hardcopy/CTEXT/ctext.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/FSProtocol
%{_datadir}/X11/doc/hardcopy/FSProtocol/fsproto.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/ICCCM
%{_datadir}/X11/doc/hardcopy/ICCCM/icccm.PS.gz
%{_datadir}/X11/doc/hardcopy/ICCCM/icccm.idx.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/ICE
%{_datadir}/X11/doc/hardcopy/ICE/ICElib.PS.gz
%{_datadir}/X11/doc/hardcopy/ICE/ice.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/RX
%{_datadir}/X11/doc/hardcopy/RX/RX.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/SM
%{_datadir}/X11/doc/hardcopy/SM/SMlib.PS.gz
%{_datadir}/X11/doc/hardcopy/SM/xsmp.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/X11
%{_datadir}/X11/doc/hardcopy/X11/xlib.PS.gz
%{_datadir}/X11/doc/hardcopy/X11/xlib.idx.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/XDMCP
%{_datadir}/X11/doc/hardcopy/XDMCP/xdmcp.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/XIM
%{_datadir}/X11/doc/hardcopy/XIM/xim.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/XKB
%{_datadir}/X11/doc/hardcopy/XKB/XKBlib.ps.gz
%{_datadir}/X11/doc/hardcopy/XKB/XKBproto.ps.gz
%dir %{_datadir}/X11/doc/hardcopy/XLFD
%{_datadir}/X11/doc/hardcopy/XLFD/xlfd.PS.gz
# NOTE: Deprecated, so not included.
#%dir %{_datadir}/X11/doc/hardcopy/XPRINT
#%{_datadir}/X11/doc/hardcopy/XPRINT/Xprint_FAQ.html
#%{_datadir}/X11/doc/hardcopy/XPRINT/Xprint_FAQ.txt
#%{_datadir}/X11/doc/hardcopy/XPRINT/Xprint_FAQ.xml
#%{_datadir}/X11/doc/hardcopy/XPRINT/Xprint_old_FAQ.txt
#%{_datadir}/X11/doc/hardcopy/XPRINT/dtprint_fspec.PS.gz
#%{_datadir}/X11/doc/hardcopy/XPRINT/xp_library.PS.gz
#%{_datadir}/X11/doc/hardcopy/XPRINT/xp_proto.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/XProtocol
%{_datadir}/X11/doc/hardcopy/XProtocol/proto.PS.gz
%{_datadir}/X11/doc/hardcopy/XProtocol/proto.idx.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/Xaw
%{_datadir}/X11/doc/hardcopy/Xaw/widg.idx.PS.gz
%{_datadir}/X11/doc/hardcopy/Xaw/widgets.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/Xext
%{_datadir}/X11/doc/hardcopy/Xext/AppGroup.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/DPMS.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/DPMSLib.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/bigreq.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/buffer.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/dbe.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/dbelib.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/evi.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/lbx.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/lbx.html
%{_datadir}/X11/doc/hardcopy/Xext/lbxTOC.html
%{_datadir}/X11/doc/hardcopy/Xext/lbxalg.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/mit-shm.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/record.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/recordlib.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/security.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/shape.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/shapelib.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/sync.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/synclib.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/tog-cup.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/xc-misc.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/xtest.PS.gz
%{_datadir}/X11/doc/hardcopy/Xext/xtestlib.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/Xi
%{_datadir}/X11/doc/hardcopy/Xi/lib.PS.gz
%{_datadir}/X11/doc/hardcopy/Xi/port.PS.gz
%{_datadir}/X11/doc/hardcopy/Xi/proto.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/Xmu
%{_datadir}/X11/doc/hardcopy/Xmu/xmu.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/Xserver
# NOTE: Disabled, as we've never shipped Xprt, and Xprint is deprecated.
##%{_datadir}/X11/doc/hardcopy/Xserver/Xprt.PS.gz
%{_datadir}/X11/doc/hardcopy/Xserver/analysis.PS.gz
%{_datadir}/X11/doc/hardcopy/Xserver/appgroup.PS.gz
%{_datadir}/X11/doc/hardcopy/Xserver/ddx.PS.gz
%{_datadir}/X11/doc/hardcopy/Xserver/fontlib.PS.gz
%{_datadir}/X11/doc/hardcopy/Xserver/secint.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/Xt
%{_datadir}/X11/doc/hardcopy/Xt/intr.idx.PS.gz
%{_datadir}/X11/doc/hardcopy/Xt/intrinsics.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/Xv
%{_datadir}/X11/doc/hardcopy/Xv/video
%{_datadir}/X11/doc/hardcopy/Xv/xv-protocol-v2.PS
%dir %{_datadir}/X11/doc/hardcopy/i18n
%{_datadir}/X11/doc/hardcopy/i18n/Framework.PS.gz
%{_datadir}/X11/doc/hardcopy/i18n/LocaleDB.PS.gz
%{_datadir}/X11/doc/hardcopy/i18n/Trans.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/man
%{_datadir}/X11/doc/hardcopy/man/man.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/rstart
%{_datadir}/X11/doc/hardcopy/rstart/rstart.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/saver
%{_datadir}/X11/doc/hardcopy/saver/saver.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/xfs
%{_datadir}/X11/doc/hardcopy/xfs/design.PS.gz
%dir %{_datadir}/X11/doc/hardcopy/xtrans
%{_datadir}/X11/doc/hardcopy/xtrans/Xtrans.PS.gz
%{_mandir}/man7/Consortium.7*
%{_mandir}/man7/Standards.7*
%{_mandir}/man7/X.7*
%{_mandir}/man7/XOrgFoundation.7*
%{_mandir}/man7/XProjectTeam.7*
# NOTE: Deprecated, so not included.
#%{_mandir}/man7/Xprint.7*
%{_mandir}/man7/security.7*

%changelog
* Tue Jul 25 2006 Mike A. Harris <mharris@redhat.com> 1.2-4.fc6
- Fix the package summary/description.

* Mon Jul 24 2006 Mike A. Harris <mharris@redhat.com> 1.2-3.fc6
- Added "Provides: XFree86-doc, xorg-x11-doc" as per request in (#199927)

* Mon Jul 24 2006 Mike A. Harris <mharris@redhat.com> 1.2-2.fc6
- Change rpm Group to "Documentation", which is what other docs packages use.

* Mon Jul 24 2006 Mike A. Harris <mharris@redhat.com> 1.2-1.fc6
- Initial build.
